/*
Navicat MariaDB Data Transfer

Source Server         : archives
Source Server Version : 100032
Source Host           : 192.168.1.92:3307
Source Database       : archives_receive

Target Server Type    : MariaDB
Target Server Version : 100032
File Encoding         : 65001

Date: 2018-04-13 10:57:43
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for rec_accession_examine
-- ----------------------------
DROP TABLE IF EXISTS `rec_accession_examine`;
CREATE TABLE `rec_accession_examine` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `accession_unit` varchar(20) DEFAULT NULL COMMENT '接收单位',
  `facade_inspect` varchar(1024) DEFAULT NULL COMMENT '外观检查记录',
  `virus_appraisal` varchar(1024) DEFAULT NULL COMMENT '病毒检测记录',
  `validity` varchar(255) DEFAULT NULL COMMENT '有效性考证记录',
  `Integrality` varchar(255) DEFAULT NULL COMMENT '完整性考证记录',
  `truth` varchar(255) DEFAULT NULL COMMENT '真实性考证记录',
  `preparer` varchar(20) DEFAULT NULL COMMENT '填表人',
  `verifier` varchar(20) DEFAULT NULL COMMENT '审核人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='档案验收登记表';

-- ----------------------------
-- Records of rec_accession_examine
-- ----------------------------
INSERT INTO `rec_accession_examine` VALUES ('1', '1', null, '2018-04-11 01:36:25', 'admin', null, null, '21', '32', '32', '是', '否', '否', null, null);

-- ----------------------------
-- Table structure for rec_accession_receipt
-- ----------------------------
DROP TABLE IF EXISTS `rec_accession_receipt`;
CREATE TABLE `rec_accession_receipt` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除标识，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `visit_unit` varchar(255) NOT NULL COMMENT '来访单位',
  `sbmitter` varchar(20) DEFAULT NULL COMMENT '提交人',
  `recipirnt` varchar(20) DEFAULT NULL COMMENT '接收人',
  `archives_number` int(255) DEFAULT NULL COMMENT '案卷数',
  `accession_unit` varchar(50) NOT NULL COMMENT '接收单位',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='纸质档案登记表';

-- ----------------------------
-- Records of rec_accession_receipt
-- ----------------------------

-- ----------------------------
-- Table structure for rec_archiver_directory
-- ----------------------------
DROP TABLE IF EXISTS `rec_archiver_directory`;
CREATE TABLE `rec_archiver_directory` (
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_by` varchar(20) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `filesNo` varchar(255) DEFAULT NULL COMMENT '案卷级档号',
  `fondsId` varchar(255) DEFAULT NULL COMMENT '全宗号',
  `filesId` varchar(255) DEFAULT NULL COMMENT '案卷号',
  `directory` varchar(255) DEFAULT NULL COMMENT '目录号',
  `year` varchar(255) DEFAULT NULL COMMENT '年度',
  `retentionPeriod` varchar(255) DEFAULT NULL COMMENT '保管期限',
  `custodyCode` varchar(255) DEFAULT NULL COMMENT '保管期限代码',
  `fileNumber` varchar(255) DEFAULT NULL COMMENT '文件编号',
  `archivesNominate` varchar(500) DEFAULT NULL COMMENT '案卷题名',
  `beginTime` varchar(255) DEFAULT NULL COMMENT '起时间',
  `stopTime` varchar(255) DEFAULT NULL COMMENT '止时间',
  `responsible` varchar(255) DEFAULT NULL COMMENT '责任者',
  `formaationTime` varchar(255) DEFAULT NULL COMMENT '成文时间',
  `pageNumber` varchar(255) DEFAULT NULL COMMENT '页数',
  `people` varchar(255) DEFAULT NULL COMMENT '人物',
  `boxId` varchar(255) DEFAULT NULL COMMENT '盒号',
  `appendix` varchar(255) DEFAULT NULL COMMENT '附注',
  `ConfidentialityTime` varchar(255) DEFAULT NULL COMMENT '保密期限',
  `securityClassification` varchar(255) DEFAULT NULL COMMENT '密级',
  `archivesName` varchar(255) DEFAULT NULL COMMENT '档案馆名称',
  `subjectTerm` varchar(255) DEFAULT NULL COMMENT '主题词',
  `archiveId` varchar(255) DEFAULT NULL COMMENT '档案馆代码',
  `appendixName` varchar(255) DEFAULT NULL COMMENT '附件题名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='案卷文件';

-- ----------------------------
-- Records of rec_archiver_directory
-- ----------------------------

-- ----------------------------
-- Table structure for rec_electronic_accession
-- ----------------------------
DROP TABLE IF EXISTS `rec_electronic_accession`;
CREATE TABLE `rec_electronic_accession` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删除标识，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `cerate_department` varchar(50) DEFAULT NULL COMMENT '形成部门',
  `cccomplish_date` varchar(50) DEFAULT NULL COMMENT '完成日期',
  `carrier_id` int(11) NOT NULL COMMENT '载体编号',
  `address` varchar(50) DEFAULT NULL COMMENT '通讯地址',
  `phone` int(20) DEFAULT NULL COMMENT '联系电话',
  `contact` varchar(255) DEFAULT NULL COMMENT '联系人',
  `hardware_environment` varchar(255) DEFAULT NULL COMMENT '硬件环境',
  `software_environment` varchar(255) DEFAULT NULL COMMENT '软件环境',
  `related_software` varchar(255) DEFAULT NULL COMMENT '相关软件',
  `database_system` varchar(255) DEFAULT NULL COMMENT '数据库系统',
  `operating_system` varchar(255) DEFAULT NULL COMMENT '操作系统',
  `record_structure` varchar(255) DEFAULT NULL COMMENT '记录结构',
  `record_type` varchar(255) DEFAULT NULL COMMENT '记录类型',
  `format` varchar(255) DEFAULT NULL COMMENT '格式',
  `record_number` int(50) DEFAULT NULL COMMENT '记录总数',
  `bytes_number` int(255) DEFAULT NULL COMMENT '总记录数',
  `model_id` varchar(20) DEFAULT NULL COMMENT '型号',
  `number` int(255) DEFAULT NULL COMMENT '数量',
  `backups_number` int(255) DEFAULT NULL COMMENT '备份数',
  `file_carrier_relation` varchar(255) DEFAULT NULL COMMENT '文件与载体的关系（一件一盘、一件多盘、多件多盘、多件一盘）',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='电子档案接收信息表';

-- ----------------------------
-- Records of rec_electronic_accession
-- ----------------------------
INSERT INTO `rec_electronic_accession` VALUES ('1', '', null, 'admin', '2018-04-11 01:36:08', null, null, '234', '456', '35', '456', '534', '546', '68', null, '456', null, null, null, '786', null, '78', '786', '789', '78', '768', '87');

-- ----------------------------
-- Table structure for rec_file_information
-- ----------------------------
DROP TABLE IF EXISTS `rec_file_information`;
CREATE TABLE `rec_file_information` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删除标识，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `singn` varchar(10) DEFAULT '0' COMMENT '档案归档状态（0未归档；1归档）',
  `fonds_Id` varchar(1024) DEFAULT NULL COMMENT '全宗号',
  `directory` varchar(255) DEFAULT NULL COMMENT '案卷目录号',
  `files_Id` varchar(255) DEFAULT NULL COMMENT '案卷号',
  `files_no` varchar(1024) DEFAULT NULL COMMENT '案卷级档号',
  `doument_no` varchar(1024) DEFAULT NULL COMMENT '文件级档号',
  `page_Id` varchar(255) DEFAULT NULL COMMENT '页号',
  `doument_Id` varchar(255) DEFAULT NULL COMMENT '件号',
  `responsible` varchar(255) DEFAULT NULL COMMENT '责任者',
  `file_number` varchar(255) DEFAULT NULL COMMENT '文件编号',
  `file_name` varchar(255) DEFAULT NULL COMMENT '文件题名',
  `page_number` varchar(255) DEFAULT NULL COMMENT '页数',
  `formation_time` varchar(255) DEFAULT NULL COMMENT '成文时间',
  `year` varchar(255) DEFAULT NULL COMMENT '年度',
  `box_Id` varchar(255) DEFAULT NULL,
  `security_classification` varchar(255) DEFAULT NULL COMMENT '密级',
  `electronic_name` varchar(255) DEFAULT NULL COMMENT '电子档案名',
  `subject_headings` varchar(255) DEFAULT NULL COMMENT '主题词',
  `institution` varchar(255) DEFAULT NULL COMMENT '机构（问题）',
  `people` varchar(255) DEFAULT NULL COMMENT '人物',
  `archives_name` varchar(255) DEFAULT NULL COMMENT '档案馆名称',
  `adjunct` varchar(255) DEFAULT NULL COMMENT '附件题名',
  `controlIndicators` varchar(255) DEFAULT NULL COMMENT '控制标识',
  `archive_Id` varchar(255) DEFAULT NULL COMMENT '档案馆代码',
  `archive_generation` varchar(255) DEFAULT NULL COMMENT '档案生成方式',
  `note` varchar(255) DEFAULT NULL COMMENT '附注',
  `confidentiality_time` varchar(255) DEFAULT NULL COMMENT '保密期限',
  `retentionPeriod` varchar(255) DEFAULT NULL COMMENT '保管期限',
  `digital_time` varchar(255) DEFAULT NULL COMMENT '数字化时间',
  `digital_description` varchar(255) DEFAULT NULL COMMENT '数字化授权描述',
  `format_name` varchar(255) DEFAULT NULL COMMENT '格式名称',
  `format_version` varchar(255) DEFAULT NULL COMMENT '格式版本',
  `color_space` varchar(255) DEFAULT NULL COMMENT '色彩空间',
  `compression_scheme` varchar(255) DEFAULT NULL COMMENT '压缩方式',
  `compression_ratio` varchar(255) DEFAULT NULL COMMENT '压缩率',
  `horizontal_resolution` varchar(255) DEFAULT NULL COMMENT '水平分辨率',
  `vertical_resolution` varchar(255) DEFAULT NULL COMMENT '垂直分辨率',
  `image_height` varchar(255) DEFAULT NULL COMMENT '图像高度',
  `image_width` varchar(255) DEFAULT NULL COMMENT '图像宽度',
  `device_type` varchar(255) DEFAULT NULL COMMENT '设备类型',
  `device_manufacturers` varchar(255) DEFAULT NULL COMMENT '设备制造商',
  `devic_modle` varchar(255) DEFAULT NULL COMMENT '设备型号',
  `devic_Id` varchar(255) DEFAULT NULL COMMENT '设备系列号',
  `photoreceptor` varchar(255) DEFAULT NULL COMMENT '设备感光器',
  `software_name` varchar(255) DEFAULT NULL COMMENT '数字化软件名称',
  `softwareVersion` varchar(255) DEFAULT NULL COMMENT '数字化软件版本',
  `manufacturers` varchar(255) DEFAULT NULL COMMENT '数值化软件生产商',
  `digital_Object` varchar(255) DEFAULT NULL COMMENT '数字化对象描述',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='卷内文件';

-- ----------------------------
-- Records of rec_file_information
-- ----------------------------

-- ----------------------------
-- Table structure for rec_record
-- ----------------------------
DROP TABLE IF EXISTS `rec_record`;
CREATE TABLE `rec_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除标识，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `visit_unit` varchar(20) DEFAULT NULL COMMENT '来访单位',
  `year` varchar(20) DEFAULT NULL COMMENT '年度',
  `accseeion_reason` varchar(50) DEFAULT NULL COMMENT '接收原因',
  `accession_time` varchar(50) DEFAULT NULL COMMENT '接收时间',
  `archives_number` int(255) DEFAULT NULL COMMENT '案卷数量',
  `save_time` varchar(50) DEFAULT NULL COMMENT '保管期限',
  `file_number` int(20) DEFAULT NULL COMMENT '案卷目录数',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8 COMMENT='纸质档案接收信息表';

-- ----------------------------
-- Records of rec_record
-- ----------------------------
INSERT INTO `rec_record` VALUES ('16', '1', null, '2018-04-10 07:01:47', 'admin', null, null, '21', '21', '21', null, '21', '21', '21');
INSERT INTO `rec_record` VALUES ('17', '1', null, '2018-04-11 01:35:46', 'admin', null, null, '21', '21', '21', null, '21', '21', '21');
