/*
Navicat MariaDB Data Transfer

Source Server         : archives
Source Server Version : 100032
Source Host           : 192.168.1.92:3307
Source Database       : archives_save

Target Server Type    : MariaDB
Target Server Version : 100032
File Encoding         : 65001

Date: 2018-04-13 10:57:32
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for save_backups_offline
-- ----------------------------
DROP TABLE IF EXISTS `save_backups_offline`;
CREATE TABLE `save_backups_offline` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备份说明',
  `create_time` datetime DEFAULT NULL COMMENT '经办时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '经办人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `backups_mode` varchar(20) DEFAULT NULL COMMENT '备份方式',
  `backups_batch` varchar(50) DEFAULT NULL COMMENT '批次',
  `backups_capacity` varchar(20) DEFAULT NULL COMMENT '每份备份大小       ',
  `security_classification` varchar(20) DEFAULT NULL COMMENT '涉密情况',
  `connect_tab` varchar(50) DEFAULT NULL COMMENT '交接表',
  `leader_audit` int(1) DEFAULT NULL COMMENT '领导审核',
  `rate_progress` int(1) DEFAULT NULL COMMENT '进度',
  `medium` varchar(20) DEFAULT NULL COMMENT '备份介质',
  `num` varchar(20) DEFAULT NULL COMMENT '备份套数',
  `label` tinyint(10) DEFAULT NULL COMMENT '是否生成目录',
  `backups_offline_tab` varchar(50) DEFAULT NULL COMMENT '离线备份表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8 COMMENT='离线备份表';

-- ----------------------------
-- Records of save_backups_offline
-- ----------------------------
INSERT INTO `save_backups_offline` VALUES ('29', '', '', '2018-04-13 02:47:47', 'admin', null, null, null, null, '34', '434', '4', '43', '34', 'fd', '3', null, '1523587667162');

-- ----------------------------
-- Table structure for save_backups_online
-- ----------------------------
DROP TABLE IF EXISTS `save_backups_online`;
CREATE TABLE `save_backups_online` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，存入日期',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `backups_period` int(10) DEFAULT NULL COMMENT '备份周期',
  `backups_status` varchar(20) DEFAULT NULL COMMENT '备份状态',
  `exception` varchar(255) NOT NULL COMMENT '异常说明',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='在线备份表';

-- ----------------------------
-- Records of save_backups_online
-- ----------------------------
INSERT INTO `save_backups_online` VALUES ('1', '', null, '2018-03-14 11:37:15', 'admin', null, 'admin', '7', '已经备份', '');
INSERT INTO `save_backups_online` VALUES ('2', '', null, '2018-03-14 11:41:09', 'admin', null, 'admin', '9', '还未备份', '');

-- ----------------------------
-- Table structure for save_backups_record
-- ----------------------------
DROP TABLE IF EXISTS `save_backups_record`;
CREATE TABLE `save_backups_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注，备份说明',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `backups_type` varchar(20) DEFAULT NULL COMMENT '备份类别 有在线备份1 和离线备份2',
  `status` varchar(20) DEFAULT NULL COMMENT '备份状态表',
  `backups_offline_tab` varchar(50) DEFAULT NULL COMMENT '离线备份表',
  `offline_status` int(1) DEFAULT '0' COMMENT '离线备份的状态检测',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8 COMMENT='备份记录表';

-- ----------------------------
-- Records of save_backups_record
-- ----------------------------
INSERT INTO `save_backups_record` VALUES ('33', '', null, '2018-04-13 02:47:47', 'admin', null, null, '离线备份', '审核中', '1523587667162', '0');

-- ----------------------------
-- Table structure for save_backusps_status
-- ----------------------------
DROP TABLE IF EXISTS `save_backusps_status`;
CREATE TABLE `save_backusps_status` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，存入日期',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) NOT NULL COMMENT '更新人',
  `packaged` int(1) DEFAULT NULL COMMENT '备份已打包',
  `leader_audited` int(1) DEFAULT NULL COMMENT '领导已审核',
  `local_transfer` int(1) DEFAULT NULL COMMENT '本地人员交接中',
  `transportation_received` int(1) DEFAULT NULL COMMENT '运输人员已接收',
  `storekeeper_received` int(1) DEFAULT NULL COMMENT '库房人员已接收',
  `achieves_stored` int(1) DEFAULT NULL COMMENT '档案已入库',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='备份状态表';

-- ----------------------------
-- Records of save_backusps_status
-- ----------------------------

-- ----------------------------
-- Table structure for save_connect
-- ----------------------------
DROP TABLE IF EXISTS `save_connect`;
CREATE TABLE `save_connect` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，移出时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人，移出填表人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `connect_name` varchar(20) DEFAULT NULL COMMENT '交接工作名',
  `connect_content` varchar(255) DEFAULT NULL COMMENT '内容描述',
  `connect_num` varchar(50) DEFAULT NULL COMMENT '移交电子数量',
  `connect_unit` varchar(10) DEFAULT NULL COMMENT '移交数据量',
  `serial` varchar(50) DEFAULT NULL COMMENT '载体起止顺序号',
  `specification` varchar(50) DEFAULT NULL COMMENT '载体规格',
  `accuracy_detection` int(1) DEFAULT NULL COMMENT '准确性检测',
  `integrity_testing` int(1) DEFAULT NULL COMMENT '完整性检测',
  `availability_detection` int(1) DEFAULT NULL COMMENT '可用性检测',
  `safety_inspection` int(1) DEFAULT NULL COMMENT '安全性检测',
  `appearance_detection` int(1) DEFAULT NULL COMMENT '载体外观检测',
  `transfer_reviewer` varchar(10) DEFAULT NULL COMMENT '移交审核人',
  `transfer_stamp` int(1) DEFAULT NULL COMMENT '移交单位签章',
  `accession_reviewer` varchar(10) DEFAULT NULL COMMENT '接收审核人',
  `accession_stamp` int(1) DEFAULT NULL COMMENT '接收单位签章',
  `rate_progress` int(1) DEFAULT NULL COMMENT '进度',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='交接表';

-- ----------------------------
-- Records of save_connect
-- ----------------------------

-- ----------------------------
-- Table structure for save_disposition
-- ----------------------------
DROP TABLE IF EXISTS `save_disposition`;
CREATE TABLE `save_disposition` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `medium_num` varchar(20) DEFAULT NULL COMMENT '光盘编号',
  `disposal_type` varchar(10) DEFAULT NULL COMMENT '处置类型',
  `disposal_reason` varchar(50) DEFAULT NULL COMMENT '处置原因',
  `reviewer` varchar(10) DEFAULT NULL COMMENT '审批人',
  `disposal_opinion` varchar(10) DEFAULT NULL COMMENT '审批意见',
  `disposal_person` varchar(10) DEFAULT NULL COMMENT '处置人',
  `security_supervisor` varchar(10) DEFAULT NULL COMMENT '监销人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='处置表';

-- ----------------------------
-- Records of save_disposition
-- ----------------------------
INSERT INTO `save_disposition` VALUES ('1', '', 'dfddv', '2018-03-07 16:21:55', 'admin', null, null, 'fds', 'fdsfd', 'sfdsf', 'ds', 'df', 'sdfds', 'fs');
INSERT INTO `save_disposition` VALUES ('2', '', null, '2018-03-22 08:42:08', 'admin', null, null, 'f\'d\'s', 'fsfsfsf', 'f\'d\'s\'f\'f', 'f\'s\'f\'s\'f', 'f\'d\'s', 'f\'s\'f', 'f\'d\'s\'');

-- ----------------------------
-- Table structure for save_label
-- ----------------------------
DROP TABLE IF EXISTS `save_label`;
CREATE TABLE `save_label` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，存入日期',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `batch` varchar(50) DEFAULT NULL COMMENT '批次',
  `num` varchar(20) DEFAULT NULL COMMENT '介质编号',
  `medium` varchar(20) DEFAULT NULL COMMENT '介质',
  `capacity` int(10) DEFAULT NULL COMMENT '每张介质大小',
  `begin_time` date DEFAULT NULL COMMENT '全宗号',
  `end_time` date DEFAULT NULL COMMENT '类别号',
  `security_classification` varchar(20) DEFAULT NULL COMMENT '密级',
  `retention_period` varchar(10) DEFAULT NULL COMMENT '保管期限',
  `is_excel` tinyint(10) DEFAULT NULL COMMENT '是否生成excel表',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=277 DEFAULT CHARSET=utf8 COMMENT='备份标签表';

-- ----------------------------
-- Records of save_label
-- ----------------------------
INSERT INTO `save_label` VALUES ('238', '', 'gdfd', '2018-04-11 01:16:44', 'admin', null, null, '123', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('239', '', 'gdfd', '2018-04-11 01:16:44', 'admin', null, null, '123', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('240', '', 'gdfd', '2018-04-11 01:16:44', 'admin', null, null, '123', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('241', '', '54', '2018-04-11 03:12:44', 'admin', null, null, '123', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('242', '', '54', '2018-04-11 03:12:44', 'admin', null, null, '123', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('243', '', '54', '2018-04-11 03:12:44', 'admin', null, null, '123', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('244', '', '54', '2018-04-11 03:15:58', 'admin', null, null, '123', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('245', '', '54', '2018-04-11 03:15:58', 'admin', null, null, '123', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('246', '', '54', '2018-04-11 03:15:58', 'admin', null, null, '123', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('247', '', '54', '2018-04-11 03:18:45', 'admin', null, null, '123', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('248', '', '54', '2018-04-11 03:18:45', 'admin', null, null, '123', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('249', '', '54', '2018-04-11 03:18:45', 'admin', null, null, '123', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('250', '', '54', '2018-04-11 03:20:58', 'admin', null, null, '123', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('251', '', '54', '2018-04-11 03:20:58', 'admin', null, null, '123', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('252', '', '54', '2018-04-11 03:20:58', 'admin', null, null, '123', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('253', '', '54', '2018-04-11 03:22:09', 'admin', null, null, '123', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('254', '', '54', '2018-04-11 03:22:09', 'admin', null, null, '123', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('255', '', '54', '2018-04-11 03:22:09', 'admin', null, null, '123', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('256', '', '544', '2018-04-11 03:22:55', 'admin', null, null, '5245', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('257', '', '544', '2018-04-11 03:22:55', 'admin', null, null, '5245', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('258', '', '544', '2018-04-11 03:22:55', 'admin', null, null, '5245', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('259', '', '', '2018-04-11 03:23:45', 'admin', null, null, '', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('260', '', '', '2018-04-11 03:23:45', 'admin', null, null, '', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('261', '', '', '2018-04-11 03:23:45', 'admin', null, null, '', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('262', '', '', '2018-04-11 03:24:31', 'admin', null, null, '', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('263', '', '', '2018-04-11 03:24:31', 'admin', null, null, '', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('264', '', '', '2018-04-11 03:24:31', 'admin', null, null, '', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('265', '', '', '2018-04-11 03:32:51', 'admin', null, null, '', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('266', '', '', '2018-04-11 03:32:51', 'admin', null, null, '', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('267', '', '', '2018-04-11 03:32:51', 'admin', null, null, '', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('268', '', '', '2018-04-11 03:33:59', 'admin', null, null, '', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('269', '', '', '2018-04-11 03:33:59', 'admin', null, null, '', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('270', '', '', '2018-04-11 03:33:59', 'admin', null, null, '', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('271', '', '', '2018-04-11 03:37:01', 'admin', null, null, '', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('272', '', '', '2018-04-11 03:37:01', 'admin', null, null, '', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('273', '', '', '2018-04-11 03:37:01', 'admin', null, null, '', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('274', '', '787', '2018-04-12 02:50:18', 'admin', null, null, '52572', '1套', '碟1', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('275', '', '787', '2018-04-12 02:50:18', 'admin', null, null, '52572', '1套', '碟2', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);
INSERT INTO `save_label` VALUES ('276', '', '787', '2018-04-12 02:50:18', 'admin', null, null, '52572', '1套', '碟3', '3', '2018-04-10', '2018-04-10', '秘密', '30', null);

-- ----------------------------
-- Table structure for save_leader_audit
-- ----------------------------
DROP TABLE IF EXISTS `save_leader_audit`;
CREATE TABLE `save_leader_audit` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，存入日期',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `type` varchar(20) DEFAULT NULL COMMENT '表类型',
  `tab` varchar(50) DEFAULT NULL COMMENT '表名',
  `status` varchar(50) DEFAULT NULL COMMENT '审核状态',
  `statuss` int(1) DEFAULT '0' COMMENT '(0:待审核 1:通过 -1:不通过)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 COMMENT='领导审核表';

-- ----------------------------
-- Records of save_leader_audit
-- ----------------------------
INSERT INTO `save_leader_audit` VALUES ('21', '', '', '2018-04-13 02:47:47', 'admin', null, null, '离线备份表', '1523587667162', '待审核', '0');

-- ----------------------------
-- Table structure for save_migration
-- ----------------------------
DROP TABLE IF EXISTS `save_migration`;
CREATE TABLE `save_migration` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `medium_num` varchar(20) DEFAULT NULL COMMENT '光盘号',
  `data_format` varchar(20) DEFAULT NULL COMMENT '数据格式',
  `data_size` varchar(20) DEFAULT NULL COMMENT '数据大小',
  `migration_reason` varchar(50) DEFAULT NULL COMMENT '迁移原因',
  `reviewer` varchar(10) DEFAULT NULL COMMENT '审批人',
  `new_medium` varchar(10) DEFAULT NULL COMMENT '新载体',
  `new_medium_num` varchar(20) DEFAULT NULL COMMENT '新载体编号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='迁移表';

-- ----------------------------
-- Records of save_migration
-- ----------------------------
INSERT INTO `save_migration` VALUES ('1', '', 'dssv', '2018-03-22 17:09:54', null, null, 'admin', 'sd', 'fdsf', 'dsfdsf', 'fsf', 'f', 'sfd', 'sf');
INSERT INTO `save_migration` VALUES ('2', '', null, '2018-03-22 09:15:58', 'admin', null, null, 'fdsfs', 'fsf', 'fsdfd', 'sfs', 'sfsdf', 'fsdfsfd', 'sfd');
INSERT INTO `save_migration` VALUES ('3', '', null, '2018-03-22 09:16:13', 'admin', null, null, 'dsd', 'dds', 'sd', 'dds', 'dsd', 'dsdsds', 'd');

-- ----------------------------
-- Table structure for save_proin
-- ----------------------------
DROP TABLE IF EXISTS `save_proin`;
CREATE TABLE `save_proin` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '清点时间，创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人，清点人员',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `medium_num` varchar(50) DEFAULT NULL COMMENT '光盘号',
  `archives_type` varchar(20) DEFAULT NULL COMMENT '档案类型',
  `filing_num` varchar(50) DEFAULT NULL COMMENT '起止档号或归档号',
  `medium_content` varchar(255) DEFAULT NULL COMMENT '光盘内容',
  `file_format` varchar(10) DEFAULT NULL COMMENT '文件格式',
  `data_size` varchar(10) DEFAULT NULL COMMENT '数据大小',
  `backup_count` int(1) DEFAULT NULL COMMENT '备份套数',
  `save_position` varchar(50) DEFAULT NULL COMMENT '存放位置',
  `batch` varchar(50) DEFAULT NULL COMMENT '档案批次',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=768 DEFAULT CHARSET=utf8 COMMENT='入库表';

-- ----------------------------
-- Records of save_proin
-- ----------------------------
INSERT INTO `save_proin` VALUES ('1', '', 'wefefwfw', '2018-03-14 11:01:07', 'sdvsvs', null, null, 'vssdvs', 'vdsvdsv', 'vdsvs', 'svs', 'sv', 'svdsvs', '1', 'svvdvddsvv', null);
INSERT INTO `save_proin` VALUES ('2', '', null, '2018-03-17 09:51:15', null, null, null, '1123123123', '12313', '1123123', '123123', '123', '123', '123', '123123', null);
INSERT INTO `save_proin` VALUES ('3', '', null, '2018-03-19 02:50:43', null, null, null, 'ffdsfsd', 'fdsf', 'f\'f\'d\'s', 'fsf', 'd\'s\'f', 'sfs', '2', 'fsfsf', '1.2.3.4.5');
INSERT INTO `save_proin` VALUES ('4', '', null, '2018-03-19 02:50:43', null, null, null, 'ffdsfsd', 'fdsf', 'f\'f\'d\'s', 'fsf', 'd\'s\'f', 'sfs', '2', 'fsfsf', '1.2.3.4.5');
INSERT INTO `save_proin` VALUES ('8', '', null, '2018-03-19 06:50:37', null, null, null, '', 'dsds', 'dsds', '', 'ds', '', null, '', '1.2.3.4.5');
INSERT INTO `save_proin` VALUES ('9', '', null, '2018-03-19 06:54:12', null, null, null, 'd', 'sdfsf', 'ddsdsd', 'sfsf', 'sdsdd', 'sfsf', '12', 'sf', null);
INSERT INTO `save_proin` VALUES ('10', '', null, '2018-03-19 06:54:49', null, null, null, 'd', 'sdfsf', 'ddsdsd', 'sfsf', 'sdsdd', 'sfsf', '12', 'sf', null);
INSERT INTO `save_proin` VALUES ('747', '', null, '2018-03-13 14:55:09', null, null, null, 'dsds', 'dsd', 'sdsd', 'sdsd', 's', null, null, null, '1.2.3.4.5');
INSERT INTO `save_proin` VALUES ('761', '', null, '2018-03-22 01:07:26', null, null, null, '', '', '', '', '', '', null, '', '1.2.3.4.5');
INSERT INTO `save_proin` VALUES ('762', '', null, '2018-03-22 01:07:41', null, null, null, '', '', '111111111111111111111111', '', '', '', '11', '', '1.2.3.4.5');
INSERT INTO `save_proin` VALUES ('763', '', null, '2018-03-22 02:34:56', 'admin', null, null, 'sdfdsfs', 'sfs', 'fsfsf', 'fsfs', 'fds', 'sfsf', '1', 'sf', '1.2.3.4.5');
INSERT INTO `save_proin` VALUES ('764', '', null, '2018-03-22 02:35:06', 'admin', null, null, 'sdfdsfs', 'sfs', 'fsfsf', 'fsfs', 'fds', 'sfsf', '1', 'sf', '1.2.3.4.5');
INSERT INTO `save_proin` VALUES ('765', '', null, '2018-03-22 02:35:41', 'admin', null, null, 'g', 'd', 'd', 'g', 'd', 'gd', null, '', '1.2.3.4.5');
INSERT INTO `save_proin` VALUES ('766', '', null, '2018-03-22 02:36:26', 'admin', null, null, 'dg', 'dg', 'dg', 'gg', 'd', 'd', null, '', '1.2.3.4.5');
INSERT INTO `save_proin` VALUES ('767', '', null, '2018-03-22 02:36:31', 'admin', null, null, 'fdgdgdgg', 'gdg', 'fdg', 'gdg', 'dg', 'dgdg', null, '', '1.2.3.4.5');

-- ----------------------------
-- Table structure for save_recovery
-- ----------------------------
DROP TABLE IF EXISTS `save_recovery`;
CREATE TABLE `save_recovery` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，存入日期',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `application_tab` varchar(50) DEFAULT NULL COMMENT '恢复申请表',
  `record_tab` varchar(50) DEFAULT NULL COMMENT '恢复信息表',
  `restoration_state` int(1) DEFAULT '0' COMMENT '(0:申请表待审核 1:申请表审核成功 -1申请表审核失败 2恢复完成，包括恢复信息表的提交)',
  `status` varchar(50) DEFAULT NULL COMMENT '显示恢复的整个过程状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COMMENT='恢复表';

-- ----------------------------
-- Records of save_recovery
-- ----------------------------
INSERT INTO `save_recovery` VALUES ('8', '', null, '2018-04-12 03:35:35', 'admin', '2018-04-13 02:19:49', 'admin', '1523504135386', '1523585989027', '1', '审核通过');
INSERT INTO `save_recovery` VALUES ('9', '', null, '2018-04-12 04:54:44', 'admin', '2018-04-12 04:55:39', 'admin', '1523508884315', null, '-1', '审核不通过');
INSERT INTO `save_recovery` VALUES ('10', '', null, '2018-04-12 07:36:43', 'admin', '2018-04-12 07:36:55', 'admin', '1523518603628', null, '1', '审核通过');
INSERT INTO `save_recovery` VALUES ('11', '', null, '2018-04-12 09:07:08', 'admin', '2018-04-12 09:09:54', 'admin', '1523524028387', null, '1', '审核通过');
INSERT INTO `save_recovery` VALUES ('12', '', null, '2018-04-12 09:46:32', 'admin', null, null, '1523526392185', null, '0', '待审核');

-- ----------------------------
-- Table structure for save_recovery_application
-- ----------------------------
DROP TABLE IF EXISTS `save_recovery_application`;
CREATE TABLE `save_recovery_application` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，申请时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人，申请人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `instruction` varchar(255) DEFAULT NULL COMMENT '申请说明',
  `rate_progress` int(1) DEFAULT '0' COMMENT '进度 -1审核不通过  0审核中  1审核通过  2恢复成功 不是2的话都显示还未恢复',
  `tab` varchar(20) DEFAULT NULL COMMENT '表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 COMMENT='恢复申请表';

-- ----------------------------
-- Records of save_recovery_application
-- ----------------------------
INSERT INTO `save_recovery_application` VALUES ('14', '', null, '2018-04-12 03:35:35', 'admin', '2018-04-12 04:54:05', 'admin', 'sdsvsvdsvaaa', '1', '1523504135386');
INSERT INTO `save_recovery_application` VALUES ('15', '', null, '2018-04-12 04:54:44', 'admin', '2018-04-12 04:55:39', 'admin', 'sadvdsvsvsvdsv21313131', '-1', '1523508884315');
INSERT INTO `save_recovery_application` VALUES ('16', '', null, '2018-04-12 07:36:43', 'admin', '2018-04-12 07:36:56', 'admin', 'sdvssvsdvssfsfdsffffffffbfdbshfdmagjdslahkdsahkdsahgsa', '1', '1523518603628');
INSERT INTO `save_recovery_application` VALUES ('17', '', null, '2018-04-12 09:07:08', 'admin', '2018-04-12 09:09:54', 'admin', 'sdfsdgsdgsgs', '1', '1523524028387');
INSERT INTO `save_recovery_application` VALUES ('18', '', null, '2018-04-12 09:46:32', 'admin', null, null, 'sdfssvs', '0', '1523526392185');

-- ----------------------------
-- Table structure for save_recovery_record
-- ----------------------------
DROP TABLE IF EXISTS `save_recovery_record`;
CREATE TABLE `save_recovery_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，恢复时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人，操作人员',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `restoration_num` varchar(50) DEFAULT NULL COMMENT '恢复档案号',
  `restoration_content` varchar(255) DEFAULT NULL COMMENT '恢复内容',
  `tab` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='恢复信息表';

-- ----------------------------
-- Records of save_recovery_record
-- ----------------------------
INSERT INTO `save_recovery_record` VALUES ('1', '', null, '2018-03-15 06:58:36', 'admin', null, null, 'fwfwef', 'wfefw', null);
INSERT INTO `save_recovery_record` VALUES ('2', '', null, '2018-03-15 07:32:03', 'admin', null, null, 'fdsfsf', 'fdsf', null);
INSERT INTO `save_recovery_record` VALUES ('3', '', null, '2018-03-27 01:39:14', 'admin', null, null, 'dsd', 'sds', '1213321312321');
INSERT INTO `save_recovery_record` VALUES ('4', '', null, '2018-04-13 02:10:31', 'admin', null, null, 'ewfw', 'fwfwfwewfwefwfwefwfw', '1523585431728');
INSERT INTO `save_recovery_record` VALUES ('5', '', null, '2018-04-13 02:12:09', 'admin', null, null, 'sffsd', 'dvsvssv', '1523585529109');
INSERT INTO `save_recovery_record` VALUES ('6', '', null, '2018-04-13 02:19:49', 'admin', null, null, 'fdsfsf', 'dsfsf', '1523585989027');

-- ----------------------------
-- Table structure for save_repository
-- ----------------------------
DROP TABLE IF EXISTS `save_repository`;
CREATE TABLE `save_repository` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，存入日期',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `batch` varchar(50) DEFAULT NULL COMMENT '档案批次',
  `proin_tab` varchar(50) DEFAULT NULL COMMENT '入库表',
  `dosposition_tab` varchar(50) DEFAULT NULL COMMENT '处置表',
  `sampling_tab` varchar(50) DEFAULT NULL COMMENT '检测表',
  `migration_tab` varchar(50) DEFAULT NULL COMMENT '迁移表',
  `sampling_time` int(3) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COMMENT='仓库表';

-- ----------------------------
-- Records of save_repository
-- ----------------------------
INSERT INTO `save_repository` VALUES ('1', '', 'dssdds', '2018-03-15 16:50:15', null, null, 'admin', '1.2.3.4.5', 'ds', 'dsdsd', 'sdd', 'sdsds', '12');
INSERT INTO `save_repository` VALUES ('2', '', 'fsf', '2018-03-15 10:00:40', 'admin', null, null, 'fdsf', null, null, null, null, null);
INSERT INTO `save_repository` VALUES ('3', '', 'sssfdsffsfdsfsfs', '2018-03-16 01:29:00', 'admin', null, null, 'dssssssssssssssssss', null, null, null, null, null);
INSERT INTO `save_repository` VALUES ('4', '', 'dsfsfsfs', '2018-03-20 07:26:43', null, null, null, '1.2.3.4.5', null, null, null, null, null);
INSERT INTO `save_repository` VALUES ('5', '', '', '2018-03-20 07:34:13', null, null, null, '', null, null, null, null, null);
INSERT INTO `save_repository` VALUES ('6', '', '', '2018-03-20 07:34:26', null, null, null, '', null, null, null, null, null);
INSERT INTO `save_repository` VALUES ('7', '', 'dwq', '2018-03-20 08:39:41', null, null, null, 'dqdqqw', null, null, null, null, null);
INSERT INTO `save_repository` VALUES ('8', '', '啊哈范德萨发的酸辣粉沙发撒发生发法萨芬撒范德萨范德萨发顺丰 第三方第三方大师法第三方', '2018-03-21 02:19:39', null, null, null, '2.3.4.5', null, null, null, null, null);
INSERT INTO `save_repository` VALUES ('9', '', 'fsfsfs', '2018-03-21 02:48:52', null, null, null, 'sdfsf', null, null, null, null, null);
INSERT INTO `save_repository` VALUES ('10', '', 'fsfsfsdsd', '2018-03-21 07:38:55', null, null, null, 'dfsf', null, null, null, null, null);
INSERT INTO `save_repository` VALUES ('11', '', '', '2018-03-22 01:17:35', null, null, null, '', null, null, null, null, null);

-- ----------------------------
-- Table structure for save_sampling
-- ----------------------------
DROP TABLE IF EXISTS `save_sampling`;
CREATE TABLE `save_sampling` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `medium_num` varchar(20) DEFAULT NULL COMMENT '光盘号',
  `bler` varchar(10) DEFAULT NULL COMMENT '块错误率  CD-R光盘的块错误率是指每秒测得的错误块数量，CD-R光盘技术规范规定：BLER＜220数据块／秒',
  `e32` varchar(10) DEFAULT NULL COMMENT '不可校正错误  读CD-R光盘时不能被解码器校正的错误的总数称为E32，CD-R光盘技术规范规定：E32 = 0',
  `sym` varchar(10) DEFAULT NULL,
  `jitter` varchar(10) DEFAULT NULL,
  `pie` varchar(10) DEFAULT NULL COMMENT '奇偶校验内码错误  PI 与PO分别是ECC（错误校正编码）块中的奇偶校验内码和外码，DVD 光盘用PI 与PO 校验中发现错误的次数与程度来评价其记录质量，DVD-R和DVD+R技术规范规定PIE不能超过280',
  `pof` varchar(10) DEFAULT NULL COMMENT '奇偶校验外码失败  当DVDR读出解码器经过第一轮纠错后，不能校正ECC块内数据就叫奇偶校验外码失败，DVD-R和DVD+R技术规范都规定POF = 0',
  `asym` varchar(10) DEFAULT NULL,
  `dc_jitter` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='检测表';

-- ----------------------------
-- Records of save_sampling
-- ----------------------------
INSERT INTO `save_sampling` VALUES ('1', '', 'sd', '2018-03-22 17:45:31', null, null, 'admin', 'sd', 'ds', 'd', 'd', 'd', 'd', 'd', 'd', 'd');
INSERT INTO `save_sampling` VALUES ('2', '', null, '2018-03-22 09:45:59', 'admin', null, null, '1', '1', '1', '1', null, '1', '1', '1', '1');

-- ----------------------------
-- Table structure for save_setcircle
-- ----------------------------
DROP TABLE IF EXISTS `save_setcircle`;
CREATE TABLE `save_setcircle` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，存入日期',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `backups_circle` int(10) DEFAULT NULL COMMENT '备份周期',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 COMMENT='在线备份周期设置表';

-- ----------------------------
-- Records of save_setcircle
-- ----------------------------
INSERT INTO `save_setcircle` VALUES ('8', '', null, '2018-03-13 02:03:26', 'admin', null, null, '5435325');
INSERT INTO `save_setcircle` VALUES ('9', '', null, '2018-03-14 04:00:39', 'admin', null, null, '121212');
INSERT INTO `save_setcircle` VALUES ('10', '', null, '2018-03-24 08:15:07', 'admin', null, null, '12');
INSERT INTO `save_setcircle` VALUES ('11', '', null, '2018-03-24 08:15:49', 'admin', null, null, '12');
INSERT INTO `save_setcircle` VALUES ('12', '', null, '2018-03-24 08:17:36', 'admin', null, null, '12');
INSERT INTO `save_setcircle` VALUES ('13', '', null, '2018-03-24 08:17:57', 'admin', null, null, '122');
INSERT INTO `save_setcircle` VALUES ('14', '', null, '2018-03-24 08:19:12', 'admin', null, null, '12223');
INSERT INTO `save_setcircle` VALUES ('15', '', null, '2018-03-24 08:19:43', 'admin', null, null, '12223');
INSERT INTO `save_setcircle` VALUES ('16', '', null, '2018-03-26 01:14:57', 'admin', null, null, '1');
INSERT INTO `save_setcircle` VALUES ('17', '', null, '2018-03-28 01:19:14', 'admin', null, null, '1');
INSERT INTO `save_setcircle` VALUES ('18', '', null, '2018-04-02 09:32:36', 'admin', null, null, '12');

-- ----------------------------
-- Table structure for test
-- ----------------------------
DROP TABLE IF EXISTS `test`;
CREATE TABLE `test` (
  `sum` int(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of test
-- ----------------------------
INSERT INTO `test` VALUES ('1');
INSERT INTO `test` VALUES ('2');
INSERT INTO `test` VALUES ('3');
INSERT INTO `test` VALUES ('4');
INSERT INTO `test` VALUES ('5');
INSERT INTO `test` VALUES ('6');
INSERT INTO `test` VALUES ('7');
INSERT INTO `test` VALUES ('8');
INSERT INTO `test` VALUES ('9');
INSERT INTO `test` VALUES ('10');
