/*
Navicat MariaDB Data Transfer

Source Server         : archives
Source Server Version : 100032
Source Host           : 192.168.1.92:3307
Source Database       : archives_sys

Target Server Type    : MariaDB
Target Server Version : 100032
File Encoding         : 65001

Date: 2018-04-13 10:57:06
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门主键ID',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父节点ID',
  `name` varchar(50) DEFAULT NULL COMMENT '部门名称',
  `principal` varchar(32) DEFAULT NULL COMMENT '负责人',
  `sort` int(2) DEFAULT NULL COMMENT '排序号',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 COMMENT='部门管理';

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES ('1', null, '开发部', '更新人:刘森', null, '1', null, '2018-04-08 08:48:42', null, '2018-04-08 09:46:09', null);
INSERT INTO `sys_dept` VALUES ('3', null, '开发部', 'ls', null, '1', null, '2018-04-08 09:43:00', null, null, null);
INSERT INTO `sys_dept` VALUES ('4', null, '开发部', 'ls', null, '1', null, '2018-04-08 09:53:41', null, null, null);
INSERT INTO `sys_dept` VALUES ('5', null, '开发部', 'ls', null, '1', null, '2018-04-08 09:54:47', null, null, null);
INSERT INTO `sys_dept` VALUES ('6', null, '开发部', 'ls', null, '1', null, '2018-04-08 09:56:29', null, null, null);
INSERT INTO `sys_dept` VALUES ('7', null, '开发部', 'ls', null, '1', null, '2018-04-08 10:02:21', null, null, null);
INSERT INTO `sys_dept` VALUES ('8', null, '开发部', 'ls', null, '1', null, '2018-04-08 10:04:53', null, null, null);
INSERT INTO `sys_dept` VALUES ('9', null, '开发部', 'ls', null, '1', null, '2018-04-08 10:07:39', null, null, null);
INSERT INTO `sys_dept` VALUES ('10', null, '开发部', 'ls', null, '1', null, '2018-04-09 02:00:57', null, null, null);
INSERT INTO `sys_dept` VALUES ('11', null, '开发部', 'ls', null, '1', null, '2018-04-09 02:12:21', null, null, null);
INSERT INTO `sys_dept` VALUES ('12', null, '开发部', 'ls', null, '1', null, '2018-04-09 02:25:01', null, null, null);
INSERT INTO `sys_dept` VALUES ('13', null, '开发部', 'ls', null, '1', null, '2018-04-09 02:30:02', null, null, null);
INSERT INTO `sys_dept` VALUES ('14', null, '开发部', 'ls', null, '1', null, '2018-04-09 02:32:45', null, null, null);
INSERT INTO `sys_dept` VALUES ('15', null, '开发部', 'ls', null, '1', null, '2018-04-09 02:36:50', null, null, null);
INSERT INTO `sys_dept` VALUES ('16', null, '开发部', 'ls', null, '1', null, '2018-04-09 03:39:05', null, null, null);
INSERT INTO `sys_dept` VALUES ('17', null, '开发部', 'ls', null, '1', null, '2018-04-10 08:01:35', null, null, null);
INSERT INTO `sys_dept` VALUES ('18', null, '开发部', 'ls', null, '1', null, '2018-04-10 08:07:10', null, null, null);
INSERT INTO `sys_dept` VALUES ('19', null, '开发部', 'ls', null, '1', null, '2018-04-10 08:40:28', null, null, null);

-- ----------------------------
-- Table structure for sys_dept_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept_user`;
CREATE TABLE `sys_dept_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门用户主键ID',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户ID',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`),
  KEY `idx_dept_id` (`dept_id`),
  KEY `idx_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='部门用户表';

-- ----------------------------
-- Records of sys_dept_user
-- ----------------------------

-- ----------------------------
-- Table structure for sys_dic
-- ----------------------------
DROP TABLE IF EXISTS `sys_dic`;
CREATE TABLE `sys_dic` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `key` varchar(50) DEFAULT NULL COMMENT '字典代码',
  `value` varchar(100) DEFAULT NULL COMMENT '字典值',
  `label` varchar(255) DEFAULT NULL COMMENT '标签',
  `sort` int(2) DEFAULT NULL COMMENT '排序号',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL COMMENT '字典描述',
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COMMENT='字典表';

-- ----------------------------
-- Records of sys_dic
-- ----------------------------
INSERT INTO `sys_dic` VALUES ('1', 'gender', '1', '男', '1', '', '性别', null, null, '2018-03-20 02:48:01', null);
INSERT INTO `sys_dic` VALUES ('2', 'gender', '0', '女', '2', '', '', null, null, '2018-03-20 02:48:01', null);
INSERT INTO `sys_dic` VALUES ('3', 'gender', '-1', '保密', '3', '\0', null, null, null, null, null);
INSERT INTO `sys_dic` VALUES ('4', 'enable', '1', '启用', '1', '', '启用状态(逻辑删标志)', null, null, '2018-04-03 08:28:53', 'admin');
INSERT INTO `sys_dic` VALUES ('5', 'enable', '0', '禁用', '2', '', '禁用状态(逻辑删标志)', null, null, '2018-03-20 02:48:01', null);
INSERT INTO `sys_dic` VALUES ('6', '4_is_check', '0', '未审批', '1', '', '管理_开放鉴定审批', '2018-03-24 09:37:31', 'admin', null, null);
INSERT INTO `sys_dic` VALUES ('7', '4_is_check', '1', '审批通过', '2', '', '管理_开放鉴定审批通过', '2018-03-24 09:38:23', 'admin', null, null);
INSERT INTO `sys_dic` VALUES ('8', '4_is_check', '2', '审批不通过', '3', '', '管理_开放鉴定审批', '2018-03-24 09:39:24', 'admin', null, null);
INSERT INTO `sys_dic` VALUES ('9', '4_appraisal_result', '0', '未鉴定', '1', '', '管理_开放鉴定登记', '2018-03-26 09:59:03', 'admin', null, null);
INSERT INTO `sys_dic` VALUES ('10', '4_appraisal_result', '1', '允许开放', '2', '', '管理_开放鉴定登记', '2018-03-26 10:00:28', 'admin', null, null);
INSERT INTO `sys_dic` VALUES ('11', '4_appraisal_result', '2', '不允许开放', '3', '', '管理_开放鉴定登记', '2018-03-26 10:01:15', 'admin', null, null);

-- ----------------------------
-- Table structure for sys_event_login
-- ----------------------------
DROP TABLE IF EXISTS `sys_event_login`;
CREATE TABLE `sys_event_login` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title` varchar(50) DEFAULT NULL COMMENT '日志标题',
  `request_uri` varchar(100) DEFAULT NULL COMMENT '请求地址',
  `sort` int(2) DEFAULT NULL COMMENT '排序号',
  `account` varchar(50) NOT NULL COMMENT '账户名',
  `client_host` varchar(50) DEFAULT NULL COMMENT '登录IP地址',
  `user_agent` varchar(200) DEFAULT NULL COMMENT '用户代理',
  `status` int(2) NOT NULL DEFAULT '1' COMMENT '请求状态',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL COMMENT '字典描述',
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`),
  KEY `idx_account` (`account`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='登录日志表';

-- ----------------------------
-- Records of sys_event_login
-- ----------------------------

-- ----------------------------
-- Table structure for sys_event_oper
-- ----------------------------
DROP TABLE IF EXISTS `sys_event_oper`;
CREATE TABLE `sys_event_oper` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title` varchar(50) DEFAULT NULL COMMENT '日志标题',
  `request_uri` varchar(100) DEFAULT NULL COMMENT '请求地址',
  `sort` int(2) DEFAULT NULL COMMENT '排序号',
  `account` varchar(50) NOT NULL COMMENT '账户名',
  `client_host` varchar(50) DEFAULT NULL COMMENT '登录IP地址',
  `parameter` varchar(1024) DEFAULT NULL COMMENT '请求参数',
  `method` varchar(50) DEFAULT NULL COMMENT '请求方法',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL COMMENT '字典描述',
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`),
  KEY `idx_account` (`account`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='操作日志表';

-- ----------------------------
-- Records of sys_event_oper
-- ----------------------------

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `platform_id` tinyint(1) NOT NULL DEFAULT '0' COMMENT '平台ID(0:通用,1:系统,2:接收,3:保存,4:管理,5:利用)',
  `parent_id` bigint(20) NOT NULL COMMENT '上级菜单ID(root:0)',
  `name` varchar(100) DEFAULT NULL COMMENT '菜单名称',
  `permission` varchar(500) DEFAULT NULL COMMENT '授权，如(user:list,user:create)',
  `type` smallint(2) DEFAULT NULL COMMENT '菜单类型（0:目录；1:菜单；2:按钮）',
  `url` varchar(100) DEFAULT NULL COMMENT '请求地址',
  `expand` tinyint(1) NOT NULL DEFAULT '0' COMMENT '展开状态(1:展开;0:收缩)',
  `sort` int(2) DEFAULT NULL COMMENT '排序号',
  `is_leaf` tinyint(1) NOT NULL DEFAULT '1' COMMENT '叶子节点(0:树枝节点;1:叶子节点)',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='菜单表';

-- ----------------------------
-- Records of sys_menu
-- ----------------------------

-- ----------------------------
-- Table structure for sys_menu_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu_role`;
CREATE TABLE `sys_menu_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户角色表主键ID',
  `menu_id` bigint(20) DEFAULT NULL COMMENT '菜单ID',
  `role_id` bigint(20) DEFAULT NULL COMMENT '角色ID',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户菜单表';

-- ----------------------------
-- Records of sys_menu_role
-- ----------------------------

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '公告编号',
  `notice_title` varchar(128) NOT NULL COMMENT '公告标题',
  `notice_type` varchar(8) NOT NULL COMMENT '公告类型',
  `send_time` datetime DEFAULT NULL COMMENT '发布时间',
  `sources_url` varchar(2048) DEFAULT NULL COMMENT '来源地址',
  `content` text COMMENT '内容',
  `status` varchar(2) NOT NULL DEFAULT '1' COMMENT '发布状态',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='通知公告表';

-- ----------------------------
-- Records of sys_notice
-- ----------------------------

-- ----------------------------
-- Table structure for sys_param
-- ----------------------------
DROP TABLE IF EXISTS `sys_param`;
CREATE TABLE `sys_param` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `key` varchar(50) DEFAULT NULL COMMENT '参数key',
  `value` varchar(100) DEFAULT NULL COMMENT '参数值',
  `label` varchar(255) DEFAULT NULL COMMENT '标签',
  `sort` int(2) DEFAULT NULL COMMENT '排序号',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='系统参数表';

-- ----------------------------
-- Records of sys_param
-- ----------------------------

-- ----------------------------
-- Table structure for sys_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_permission`;
CREATE TABLE `sys_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '权限ID',
  `platform_id` tinyint(2) NOT NULL DEFAULT '0' COMMENT '平台ID(0:通用,1:系统,2:接收,3:保存,4:管理,5:利用)',
  `name` varchar(100) DEFAULT NULL COMMENT '权限名称',
  `perm` varchar(100) DEFAULT NULL COMMENT '权限代码',
  `description` varchar(100) DEFAULT NULL COMMENT '权限描述',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='权限表';

-- ----------------------------
-- Records of sys_permission
-- ----------------------------
INSERT INTO `sys_permission` VALUES ('1', '1', '角色相关权限', 'sys.role', null, '1', null, null, null, null, null);
INSERT INTO `sys_permission` VALUES ('2', '1', '用户相关权限', 'sys.user', null, '1', null, null, null, null, null);

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `name` varchar(50) DEFAULT NULL COMMENT '角色名称',
  `code` varchar(255) NOT NULL DEFAULT '' COMMENT '角色代码',
  `perms` varchar(500) DEFAULT NULL COMMENT '权限列表',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='角色表';

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES ('1', '超级管理员', 'ROLE_ADMIN', '0:user:crud,0:role:crud', '1', null, null, null, null, null);
INSERT INTO `sys_role` VALUES ('2', '系统管理员', 'ROLE_SYSTEM', '0:user:crud,0:role:crud,0:test:cru', '1', null, null, null, '2018-03-30 08:53:19', 'admin');
INSERT INTO `sys_role` VALUES ('3', 'TEST', 'ROLE_TEST', '2:test:crud,1:test:c,1:testa:c', '0', '', '2018-03-30 02:27:31', 'admin', '2018-04-10 01:26:01', 'admin');
INSERT INTO `sys_role` VALUES ('4', 'Test2', 'ROLE_TEST2', '1:test:c,2:test:r', '1', '123123', '2018-04-02 08:12:04', 'admin', null, null);
INSERT INTO `sys_role` VALUES ('5', '备份', 'ROLE_BACKUP', '0:backup:crd', '1', '', '2018-04-12 09:33:53', 'admin', '2018-04-12 13:33:06', 'liusen');
INSERT INTO `sys_role` VALUES ('6', '审批', 'ROLE_SP', '1:backup2:cr', '1', '', '2018-04-12 09:34:39', 'admin', '2018-04-12 13:09:40', 'liusen');

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户主键ID',
  `account` varchar(20) DEFAULT NULL COMMENT '登陆帐户',
  `username` varchar(30) DEFAULT NULL COMMENT '姓名',
  `password` varchar(50) DEFAULT NULL COMMENT '密码',
  `salt` varchar(20) DEFAULT NULL COMMENT '密码盐值',
  `phone` varchar(50) DEFAULT NULL COMMENT '电话',
  `email` varchar(64) DEFAULT NULL COMMENT '邮箱',
  `position` varchar(64) DEFAULT NULL COMMENT '职位',
  `address` varchar(256) DEFAULT NULL COMMENT '详细地址',
  `staff_no` varchar(32) DEFAULT NULL COMMENT '工号',
  `ext1` varchar(100) DEFAULT NULL COMMENT '备用字段',
  `ext2` varchar(100) DEFAULT NULL COMMENT '备用字段',
  `ext3` varchar(100) DEFAULT NULL COMMENT '备用字段',
  `ext4` varchar(100) DEFAULT NULL COMMENT '备用字段',
  `enable` bit(1) NOT NULL DEFAULT b'1',
  `gender` tinyint(4) DEFAULT '-1' COMMENT '性别，定义 1：男 0：女 -1：保密',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`),
  UNIQUE KEY `account` (`account`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='用户管理';

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES ('1', 'admin', 'admin', '13df2464fbdaea9269bb1419fec136da', 'kidntkdij', '13333333333', '123@123.com', '欸之', '地球上某个奇怪的小山村', '213822', null, null, null, null, '', '-1', '1', null, null, '2018-04-02 09:00:10', 'admin');
INSERT INTO `sys_user` VALUES ('2', 'liusen', 'ls', '8b3fe2a3ba637abca33e35f17259cbfb', '졅ᯄ뇺핿觲瀍掩⯟', '1234564', '', '', '', '', null, null, null, null, '', '-1', '', '2018-04-12 09:35:13', 'admin', '2018-04-12 13:08:41', 'liusen');

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户角色表主键ID',
  `role_id` bigint(20) DEFAULT NULL COMMENT '角色ID',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户ID',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='用户角色表';

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES ('1', '1', '1', '1', null, null, null, null, null);
INSERT INTO `sys_user_role` VALUES ('2', '2', '1', '1', null, null, null, null, null);
INSERT INTO `sys_user_role` VALUES ('3', '5', '2', '1', null, '2018-04-12 09:35:13', 'admin', null, null);
