package com.gxzc.zen.api.shared.model

import com.baomidou.mybatisplus.annotations.TableName
import com.fasterxml.jackson.annotation.JsonFormat
import java.util.Date
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 文书档案文件
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-14
 */
@TableName("mgr_archives_document")
open class MgrArchivesDocument : BaseModel() {
    /**
     * 案卷id
     */
    var fileId: Long? = null
    /**
     * 目录树节点id
     */
    var treeNodeId: Long? = null
    /**
     * 标识自己是什么（如：1案卷、2卷内文件、3件、4其他）。其中没有案卷时卷内文件改名为件。
     */
    var selfFlag: Int? = null
    /**
     * 归档人
     */
    var filingBy: String? = null
    /**
     * 归档日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    var filingTime: Date? = null
    /**
     * 全宗号
     */
    var fondsNo: String? = null
    /**
     * 档案类型id
     */
    var typeId: Long? = null
    /**
     * 案卷目录号
     */
    var catalogueCode: Int? = null
    /**
     * 案卷号
     */
    var fileCode: String? = null
    /**
     * 案卷级档号
     */
    var archivalCode: String? = null
    /**
     * 页号
     */
    var pageCode: String? = null
    /**
     * 件号
     */
    var partNo: String? = null
    /**
     * 责任者
     */
    var responsiblePerson: String? = null
    /**
     * 文件编号
     */
    var documentCode: String? = null
    /**
     * 文件题名
     */
    var documentTitle: String? = null
    /**
     * 页数
     */
    var pagesCount: Int? = null
    /**
     * 成文时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    var writtenTime: Date? = null
    /**
     * 年度
     */
    var year: String? = null
    /**
     * 盒号
     */
    var boxCode: String? = null
    /**
     * 密级。（0无密；1秘密；2机密；3绝密；4其他）
     */
    var securityClassification: Int? = null
    /**
     * 分类号
     */
    var archivesTypeCode: Int? = null
    /**
     * 电子档案名称
     */
    var electronicRecordTitle: String? = null
    /**
     * 主题词
     */
    var descriptor: String? = null
    /**
     * 机构（问题）
     */
    var organizationProblem: String? = null
    /**
     * 人物
     */
    var personage: String? = null
    /**
     * 档案馆名称
     */
    var archivesName: String? = null
    /**
     * 附件题名
     */
    var attachmentTitle: String? = null
    /**
     * 控制标识
     */
    var controlSign: String? = null
    /**
     * 档案馆代码
     */
    var archivesCode: String? = null
    /**
     * 电子档案生成方式
     */
    var produceWay: String? = null
    /**
     * 保密期限
     */
    var secrecyPeriod: String? = null
    /**
     * 保管期限
     */
    var retentionPeriod: String? = null
    /**
     * 档案归档状态（0未归档；1归档）
     */
    var filingStatus: Int? = null
    /**
     * 删除标识（0未删除；1删除）
     */
    var delFlag: Int? = null
    /**
     * 是否开放。默认为0，未开放，1为开放。
     */
    var isOpen: Long? = null
    /**
     * 是否可申请开放鉴定
     */
    var openEnable: Long? = null
    /**
     * 数字化时间
     */
    var digitizationTime: String? = null
    /**
     * 数字化对象描述
     */
    var digitizationObjDescribe: String? = null
    /**
     * 数字化授权描述
     */
    var digitizationAuthorizeDescribe: String? = null
    /**
     * 格式名称
     */
    var formatName: String? = null
    /**
     * 格式版本
     */
    var formatVersion: String? = null
    /**
     * 色彩空间
     */
    var colorSpace: String? = null
    /**
     * 压缩方案
     */
    var compressScheme: String? = null
    /**
     * 压缩率
     */
    var compressionRatio: String? = null
    /**
     * 水平分辨率
     */
    var horizontalResolution: String? = null
    /**
     * 垂直分辨率
     */
    var verticalResolution: String? = null
    /**
     * 图像宽度
     */
    var imageWidth: String? = null
    /**
     * 图像高度
     */
    var imageHeight: String? = null
    /**
     * 设备类型
     */
    var equipmentType: String? = null
    /**
     * 设备制造商
     */
    var equipmentManufacturer: String? = null
    /**
     * 设备型号
     */
    var equipmentModel: String? = null
    /**
     * 设备系列号
     */
    var equipmentSeriesNumber: String? = null
    /**
     * 设备感光器
     */
    var equipmentPhotoreceptor: String? = null
    /**
     * 数字化软件名称
     */
    var digitalSoftwareName: String? = null
    /**
     * 数字化软件版本
     */
    var digitalSoftwareVersion: String? = null
    /**
     * 数字化软件生产商
     */
    var digitalSoftwareManufacturer: String? = null
}
