package com.gxzc.zen.api.shared.service

import com.gxzc.zen.api.shared.model.ShareTime
import com.gxzc.zen.api.shared.model.SharedSysDic
import com.gxzc.zen.api.sys.model.SysDic
import com.gxzc.zen.api.sys.service.ISysDicService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service

/**
 *
 * @author NorthLan
 * @date 2018/4/16
 * @url https://noahlan.com
 */
@Service
class TestSharedService : AbstractSharedService<SysDic, SharedSysDic>() {
    @Autowired
    private lateinit var sysDicService: ISysDicService

    @Autowired
    private lateinit var sharedSysDicService: ISharedSysDicService

    override fun innerInsert(lastTime: ShareTime): MutableList<SysDic>? {
        //
        val data = sysDicService.selectList(queryConditionWrapper(lastTime.time!!))
        data.forEach {
            sharedSysDicService.insert(clone(it))
        }
        return data
    }

    override fun getLastTimeInsert(): ShareTime {
        return getLastTime("dic_insert")
    }

    fun clone(entity: SysDic): SharedSysDic {
        return SharedSysDic().apply {
            this.sort = entity.sort
            this.label = entity.label
            this.key = entity.key
            this.value = entity.value
            commonFieldClone(entity, this)
        }
    }

    override fun getLastTimeSelect(): ShareTime {
        return getLastTime("dic_select")
    }

    override fun innerSelect(lastTime: ShareTime): MutableList<SharedSysDic>? {
        val data = sharedSysDicService.selectList(queryConditionWrapper(lastTime.time!!))
        data.forEach {
            sysDicService.insert(cloneSelect(it))
        }
        return data
    }

    fun cloneSelect(entity: SharedSysDic): SysDic {
        return SysDic().apply {
            this.sort = entity.sort
            this.label = entity.label
            this.key = entity.key
            this.value = entity.value
            commonFieldClone(entity, this)
        }
    }
}