package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 菜单表
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@TableName("sys_menu")
data class SysMenu(
        /**
         * 平台ID(0:通用,1:系统,2:接收,3:保存,4:管理,5:利用)
         */
        var platformId: Int? = null,
        /**
         * 上级菜单ID(root:0)
         */
        var parentId: Long? = null,
        /**
         * 菜单名称
         */
        var name: String? = null,
        /**
         * 授权，如(user:list,user:create)
         */
        var permission: String? = null,
        /**
         * 菜单类型（0:目录；1:菜单；2:按钮）
         */
        var type: Int? = null,
        /**
         * 请求地址
         */
        var url: String? = null,
        /**
         * 展开状态(1:展开;0:收缩)
         */
        var expand: Int? = null,
        /**
         * 排序号
         */
        var sort: Int? = null,
        /**
         * 叶子节点(0:树枝节点;1:叶子节点)
         */
        var isLeaf: Int? = null
) : BaseModel() {
}
