package com.gxzc.zen.api.sys.service

/**
 * <p>
 * 权限 服务类
 * </p>
 *
 * @author NorthLan
 * @since 2018-02-06
 */
interface ISysPermissionService {
    /**
     * 获取指定用户的所有权限并缓存至user_perm key: uid_*
     */
    fun getPermissionSetByUserId(id: Long): HashSet<String>

    /**
     * 移除 {@code id} 指定用户的权限缓存
     */
    fun evictCache(id: Long)

    /**
     * 移除 指定用户集 的缓存
     */
    fun evictCache(ids: Set<Long>)

    fun clearCache()

//    /**
//     * 初始化所有用户的权限缓存
//     *
//     */
//    fun initAllUserPermissionCache()
}
