package com.gxzc.zen.api.sys.service

import com.baomidou.mybatisplus.plugins.Page
import com.gxzc.zen.api.sys.model.SysRole
import com.gxzc.zen.common.base.BaseService

/**
 * <p>
 * 角色表 服务类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
interface ISysRoleService : BaseService<SysRole> {
    /**
     * 查询所有角色列表(无过滤)
     * @param enable @code{null} 为忽略enable
     */
    fun getListByParam(name: String?, code: String?, enable: Boolean?): MutableList<SysRole>

    /**
     * 查询角色列表 分页 过滤 忽略enable 等
     */
    fun getListByParamPage(name: String?, code: String?, enable: Boolean?, current: Int, size: Int): Page<SysRole>

    /**
     * 修改 角色信息
     */
    fun modify(entity: SysRole): SysRole

    /**
     * 物理删除
     */
    fun physicalDelete(id: Long)
}
