package com.gxzc.zen.api.sys.service

import com.gxzc.zen.api.sys.model.SysRole
import com.gxzc.zen.api.sys.model.SysUserRole
import com.gxzc.zen.common.base.BaseService

/**
 * <p>
 * 用户角色表 服务类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
interface ISysUserRoleService : BaseService<SysUserRole> {
    /**
     * 获取指定用户的角色列表
     */
    fun getUserRoleListByUserId(id: Long): MutableList<SysRole>

    /**
     * 获取指定角色id的用户id列表
     */
    fun getUserIdListByRoleId(id: Long): Set<Long>

    /**
     * 物理删除 roleIds指定的 用户角色列表
     */
    fun physicalDeleteBatch(userId: Long, roleIds: List<Long>)

    fun physicalDeleteById(id: Long)

    fun physicalDeleteByUserId(userId: Long)

    /**
     * 批量插入
     */
    fun insertBatch(userId: Long, roleIds: List<Long>)

    /**
     * 删除缓存
     */
    fun evictCache(id: Long)

    fun evictCache(ids: Set<Long>)

    /**
     * 获取所有用户的角色列表
     */
//    fun getUserRoleList(): Map<Long, MutableList<SysRole>>
}
