package com.gxzc.zen.api.util

import com.gxzc.zen.api.sys.model.SysDic
import com.gxzc.zen.api.sys.service.ISysDicService
import com.gxzc.zen.common.util.SpringContextHolder

/**
 * 系统字典工具类
 * 缓存中获取
 * @author NorthLan
 * @date 2018/3/17
 * @url https://noahlan.com
 */
object SysDicUtil {
    private val sysDicService: ISysDicService = SpringContextHolder.getBean(ISysDicService::class.java)

    fun getAllList(): MutableList<SysDic> {
        return sysDicService.getListCacheable()
    }

    fun getListByKey(key: String): MutableList<SysDic> {
        return sysDicService.getListByKey(key)
    }

    fun getOne(key: String, value: String?, sort: Int?): SysDic? {
        return sysDicService.getOneByKey(key, value, sort)
    }
}