package com.gxzc.zen.api.util

import com.gxzc.zen.api.sys.model.SysUser
import com.gxzc.zen.api.sys.service.ISysUserService
import com.gxzc.zen.common.util.SpringContextHolder

/**
 * 系统用户 工具类
 * 从缓存中取出
 * @author NorthLan
 * @date 2018/3/22
 * @url https://noahlan.com
 */
object SysUserUtil {
    private val sysUserService: ISysUserService = SpringContextHolder.getBean(ISysUserService::class.java)

    fun getByAccount(account: String): SysUser? {
        return sysUserService.getUserByAccountCacheable(account)
    }

    fun getById(id: Long): SysUser? {
        return sysUserService.getUserByIdCacheable(id)
    }
}