package com.gxzc.zen.umps.config

import com.baomidou.kisso.SSOAuthorization
import com.baomidou.kisso.Token
import com.gxzc.zen.api.sys.service.ISysPermissionService
import com.gxzc.zen.common.util.PlatformUtil
import com.gxzc.zen.common.util.SpringContextHolder
import com.gxzc.zen.umps.util.PermissionUtil
import org.apache.commons.lang3.StringUtils

/**
 * Kisso权限验证
 * 支持多级权限
 * 精确到按钮级别
 */
class KissoAuthorization : SSOAuthorization {
    override fun isPermitted(token: Token?, permission: String?): Boolean {
        if (token == null) {
            return false
        }

        if (!StringUtils.isNumeric(token.uid.toString())) {
            return false
        }
        val realPerm = "${PlatformUtil.getPlatformId()}:$permission"
        return PermissionUtil.isPermitted(realPerm, permissionService.getPermissionSetByUserId(token.uid.toLong()))
    }

    //    private val cacheManager = SpringContextHolder.getBean(CacheManager::class.java)
    private val permissionService = SpringContextHolder.getBean(ISysPermissionService::class.java)
}
