package com.gxzc.zen.common.config.request.annotation

import kotlin.reflect.KClass

/**
 * key value 对应类型
 * @author NorthLan
 * @date 2018/3/16
 * @url https://noahlan.com
 */
@Target(AnnotationTarget.ANNOTATION_CLASS)
annotation class KVType(
        public val key: String = "",
        public val value: KClass<out Any>,
        public val type: KVTypeEnum = KVTypeEnum.OBJECT) {
}

/**
 * 转换类型
 */
enum class KVTypeEnum {
    OBJECT, // 对象
    ARRAY, // 数组 (需要value作为转换泛型)
    LIST, // List (需要value作为转换泛型)
}