package com.gxzc.zen.common.exception

/**
 * 基本业务异常的枚举
 * @author NorthLan
 * @date 2018/2/28
 * @url https://noahlan.com
 */
enum class ZenExceptionEnum(val code: Int, val msg: String) {
    /**
     * Auth
     */
    AUTH_ACCOUNT_NOT_EXISTS(100, "账号不存在"),
    AUTH_PASSWORD_ERROR(101, "密码错误"),
    AUTH_NO_LOGIN(102, "未登录"),

    /**
     * Register
     */
    REG_PASSWORD_ERROR(200,"密码格式错误"),

    /**
     * 文件上传
     */
    FILE_READING_ERROR(400, "FILE_READING_ERROR!"),
    FILE_NOT_FOUND(400, "FILE_NOT_FOUND!"),

    /**
     * 错误的请求
     */
    REQUEST_NULL(400, "请求有错误"),
    SERVER_ERROR(500, "服务器异常"),

    /**
     * 业务异常
     */
    BIZ_EXCEPTION(600, "业务异常"), // 业务异常通用枚举
    BIZ_INSERT_ERROR(601, "新增失败"),
    BIZ_DELETE_ERROR(602, "删除失败"),
    BIZ_SELECT_ERROR(603, "查询失败"),
    BIZ_UPDATE_ERROR(604, "修改失败")
    ;

}