package com.gxzc.zen.common.util

import com.gxzc.zen.common.contants.PLATFORM
import com.gxzc.zen.common.properties.PlatformProperties

/**
 * 平台工具类
 * @author NorthLan
 * @date 2018/2/6
 * @url https://noahlan.com
 */
object PlatformUtil {
    private val properties = SpringContextHolder.getBean(PlatformProperties::class.java)

    fun getPlatformId(): Int {
        return properties.id!!
    }

    fun getPlatform(id: Int): PLATFORM {
        return PLATFORM.intValueOf(id)
    }

    fun getPlatform(): PLATFORM {
        return getPlatform(getPlatformId())
    }

    fun getPlatform(properties: PlatformProperties): PLATFORM {
        return getPlatform(properties.id!!)
    }

    fun getProperties(): PlatformProperties? {
        return properties
    }
}