package com.gxzc.zen.mq.config

import org.springframework.amqp.core.Binding
import org.springframework.amqp.core.BindingBuilder
import org.springframework.amqp.core.Queue
import org.springframework.amqp.core.TopicExchange
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration

/**
 *
 * @author NorthLan
 * @date 2018/1/31
 * @url https://noahlan.com
 */
@Configuration
@ConditionalOnProperty(prefix = "spring.rabbitmq", name = ["enable"], havingValue = "true")
class RabbitConfig {

    @Bean
    fun queue(): Queue {
        return Queue("q1")
    }

    @Bean
    fun topicExchange(): TopicExchange {
        return TopicExchange("te")
    }

    @Bean
    fun binding(queue: Queue, topicExchange: TopicExchange): Binding {
        return BindingBuilder.bind(queue).to(topicExchange).with("key.1")
    }
}