package com.gxzc.zen.orm.config

import com.atomikos.icatch.jta.UserTransactionImp
import com.atomikos.icatch.jta.UserTransactionManager
import com.gxzc.zen.orm.DynamicMultipleDataSource
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration
import org.springframework.core.annotation.Order
import org.springframework.jdbc.datasource.DataSourceTransactionManager
import org.springframework.transaction.annotation.EnableTransactionManagement
import org.springframework.transaction.jta.JtaTransactionManager

/**
 *
 * @author NorthLan
 * @date 2018/4/2
 * @url https://noahlan.com
 */
@EnableTransactionManagement
@Configuration
class AtomikosTransactionConfig {
    @Bean
    fun jtaTransactionManager(): JtaTransactionManager {
        return JtaTransactionManager(
                UserTransactionImp().apply { setTransactionTimeout(3000) },
                UserTransactionManager().apply { forceShutdown = true }).apply {
            setAllowCustomIsolationLevels(true)
        }
    }

//    @Bean
//    @ConditionalOnProperty(prefix = "orm", name = ["multi-datasource-enable"], havingValue = "true", matchIfMissing = true)
//    fun dataSourceTransactionManager(dataSource: DynamicMultipleDataSource): DataSourceTransactionManager {
//        return DataSourceTransactionManager(dataSource)
//    }
}