package com.gxzc.zen.web.sys.controller

import com.baomidou.kisso.annotation.Action
import com.baomidou.kisso.annotation.Login
import com.baomidou.kisso.annotation.Permission
import com.baomidou.mybatisplus.mapper.EntityWrapper
import com.gxzc.zen.api.shared.service.TestSharedService
import com.gxzc.zen.api.sys.mapper.SysDicMapper
import com.gxzc.zen.api.sys.model.SysDic
import com.gxzc.zen.api.sys.model.SysRole
import com.gxzc.zen.api.sys.model.SysUser
import com.gxzc.zen.api.sys.service.ISysDicService
import com.gxzc.zen.api.sys.service.ISysParamService
import com.gxzc.zen.common.base.BaseController
import com.gxzc.zen.common.config.request.annotation.KVType
import com.gxzc.zen.common.config.request.annotation.KVTypeEnum
import com.gxzc.zen.common.config.request.annotation.ZenRequestTypes
import com.gxzc.zen.common.dto.RequestDto
import com.gxzc.zen.orm.annotation.ZenTransactional
import com.xxl.job.core.biz.AdminBiz
import com.xxl.job.core.rpc.netcom.NetComClientProxy
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.core.io.InputStreamResource
import org.springframework.core.io.Resource
import org.springframework.http.HttpHeaders
import org.springframework.http.MediaType
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*
import java.io.File
import java.io.FileInputStream


/**
 *
 * @author NorthLan
 * @date 2018/3/15
 * @url https://noahlan.com
 */
@RestController
@RequestMapping("test")
class TestController : BaseController() {

    @Autowired
    private lateinit var sysDicService: ISysDicService

    @Autowired
    private lateinit var sysParamService: ISysParamService

    @Autowired
    private lateinit var testSharedService: TestSharedService

    @GetMapping("logicDel")
    @Login(action = Action.Skip)
    fun testLogicDelete() {
        sysDicService.deleteById(4L)
    }

    @PutMapping("metaObject")
    @Login(action = Action.Skip)
    fun testCustomMetaObjectHandler() {
        sysDicService.updateById(SysDic().apply {
            id = 4
            key = "2333"
        })
    }

    @GetMapping("logicSelect")
    @Login(action = Action.Skip)
    fun testLogicSelect() {
//        sysDicService.selectList(null)
    }

    @PostMapping("testInput")
    @Login(action = Action.Skip)
    @ZenRequestTypes(
            KVType("dataA", SysDic::class),
            KVType("dataB", SysUser::class))
    fun testInput(@RequestBody data: RequestDto) {
        var a = 0
        a = 2
        return
    }

    @Autowired
    private lateinit var sysDicMapper: SysDicMapper

    @PostMapping("")
    @Login(action = Action.Skip)
    fun test() {
        val result = sysDicMapper.selectWOLogic(EntityWrapper<SysDic>().eq("id", 1))
        var a = 0
        a = 1
    }

    @GetMapping("/download")
    @Login(action = Action.Skip)
    fun download(param: String): ResponseEntity<Resource> {

        // ...
        val file = File("D:\\WorkSpace\\Zen\\zen.log")
        val resource = InputStreamResource(FileInputStream(file))

        val headers = HttpHeaders()
        headers.add("Cache-Control", "no-cache, no-store, must-revalidate")
        headers.add("Pragma", "no-cache")
        headers.add("Expires", "0")
        headers.add(HttpHeaders.CONTENT_DISPOSITION, "attachment; filename=zen.log")


        return ResponseEntity.ok()
                .headers(headers)
                .contentLength(file.length())
                .contentType(MediaType.parseMediaType("application/octet-stream"))
                .body(resource)
    }

    @PostMapping("request")
    @Login(action = Action.Skip)
    @ZenRequestTypes(KVType("data", SysRole::class, KVTypeEnum.LIST))
    fun request(@RequestBody data: RequestDto): ResponseEntity<*> {
        val b = data["data"] as List<SysRole>
        return ResponseEntity.ok(null)
    }

    @GetMapping("tran")
    @Login(action = Action.Skip)
    @ZenTransactional
    fun tran() {
        sysDicService.selectList(null)

        throw RuntimeException()
    }

    @GetMapping("/testpermission")
    @Permission("backup:crud")
    fun testpermission() {

    }

    @GetMapping("/testpermission1")
    @Permission("backup:c")
    fun testpermission1() {

    }

    @GetMapping("/testpermission2")
    @Permission("backup2:c")
    fun testpermission2() {
    }

    @GetMapping("job")
    @Login(action = Action.Skip)
    fun job() {
        val biz = NetComClientProxy(AdminBiz::class.java, "http://127.0.0.1:8090${AdminBiz.MAPPING}", null).`object` as AdminBiz
        val result = biz.triggerJob(1)

        println(result)
        println(result.toString())
    }

    @GetMapping("jobInsert")
    @Login(action = Action.Skip)
    fun jobInsert() {
        testSharedService.insert()
    }

    @GetMapping("jobSelect")
    @Login(action = Action.Skip)
    fun jobSelect() {
        testSharedService.select()
    }
}